Commit bb44a7e1 authored by Natanael Copa's avatar Natanael Copa

main/alsa-lib: tweak config options

parent ce9c551d
# Maintainer: Natanael Copa <ncopa@alpinelinux.org> # Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=alsa-lib pkgname=alsa-lib
pkgver=1.0.21a pkgver=1.0.21a
pkgrel=0 pkgrel=1
pkgdesc="An alternative implementation of Linux sound support" pkgdesc="An alternative implementation of Linux sound support"
url="http://www.alsa-project.org" url="http://www.alsa-project.org"
license="GPL" license="GPL"
depends= depends=
subpackages="$pkgname-dev" subpackages="$pkgname-dev"
source="ftp://ftp.alsa-project.org/pub/lib/$pkgname-$pkgver.tar.bz2 source="ftp://ftp.alsa-project.org/pub/lib/$pkgname-$pkgver.tar.bz2"
nocxx.patch"
build () build ()
{ {
cd "$srcdir/$pkgname-$pkgver" cd "$srcdir/$pkgname-$pkgver"
patch configure < ../nocxx.patch || return 1 ./configure --prefix=/usr \
./configure --prefix=/usr --disable-python --disable-python \
--disable-static \
--disable-resmgr \
--enable-rawmidi \
--enable-seq \
--enable-aload \
--disable-dependency-tracking \
|| return 1
make || return 1 make || return 1
}
package() {
cd "$srcdir/$pkgname-$pkgver"
make -j1 DESTDIR="$pkgdir" install make -j1 DESTDIR="$pkgdir" install
} }
md5sums="914685deb8c23cb4b940a4173cf8efe4 alsa-lib-1.0.21a.tar.bz2 md5sums="914685deb8c23cb4b940a4173cf8efe4 alsa-lib-1.0.21a.tar.bz2"
28513788ba4d556ccd538867dc6205ab nocxx.patch"
--- a/configure 2004-12-07 21:34:23.205172545 +0000
+++ b/configure 2004-12-07 21:37:17.726654782 +0000
@@ -5148,10 +5148,8 @@
:
else
{ { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
-See \`config.log' for more details." >&5
-echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
-See \`config.log' for more details." >&2;}
- { (exit 1); exit 1; }; }
+See \`config.log' for more details." >&5;}
+ { echo "C++ sucks, ignoring ..." >&5; }; }
fi
ac_ext=cc
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment